The zwp_relative_pointer_v1 interface

## Data Structures

struct | zwp_relative_pointer_v1_listener

## Macros

#define | ZWP_RELATIVE_POINTER_V1_RELATIVE_MOTION_SINCE_VERSION 1
#define | ZWP_RELATIVE_POINTER_V1_DESTROY_SINCE_VERSION 1

## Functions

static int | zwp_relative_pointer_v1_add_listener (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, const struct zwp_relative_pointer_v1_listener *listener, void *data)
static void | zwp_relative_pointer_v1_set_user_data (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1, void *user_data)
static void * | zwp_relative_pointer_v1_get_user_data (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1)
static void | zwp_relative_pointer_v1_destroy (struct zwp_relative_pointer_v1 *zwp_relative_pointer_v1)

## Detailed Description

A wp_relative_pointer object is an extension to the wl_pointer interface used for emitting relative pointer events. It shares the same focus as wl_pointer objects of the same seat and will only emit events when it has focus.

## Macro Definition Documentation

## ZWP_RELATIVE_POINTER_V1_DESTROY_SINCE_VERSION

#define ZWP_RELATIVE_POINTER_V1_DESTROY_SINCE_VERSION 1

Definition at line 257 of file relative-pointer-unstable-v1-client-protocol.h.

## ZWP_RELATIVE_POINTER_V1_RELATIVE_MOTION_SINCE_VERSION

#define ZWP_RELATIVE_POINTER_V1_RELATIVE_MOTION_SINCE_VERSION 1

Definition at line 252 of file relative-pointer-unstable-v1-client-protocol.h.

## Function Documentation

## zwp_relative_pointer_v1_add_listener()

static int zwp_relative_pointer_v1_add_listener | ( | struct zwp_relative_pointer_v1 * | zwp_relative_pointer_v1,
|  | const struct zwp_relative_pointer_v1_listener * | listener,
|  | void * | data
| ) |  |

inline static

Definition at line 240 of file relative-pointer-unstable-v1-client-protocol.h.

{
return wl_proxy_add_listener((struct wl_proxy *) zwp_relative_pointer_v1,
(void (**)(void)) listener, data);
}
data
GLint GLenum GLsizei GLsizei GLsizei GLint GLsizei const GLvoid * data
Definition: SDL_opengl.h:1974

## zwp_relative_pointer_v1_destroy()

static void zwp_relative_pointer_v1_destroy | ( | struct zwp_relative_pointer_v1 * | zwp_relative_pointer_v1 | ) |

inline static

Definition at line 283 of file relative-pointer-unstable-v1-client-protocol.h.

References ZWP_RELATIVE_POINTER_V1_DESTROY.

{
wl_proxy_marshal((struct wl_proxy *) zwp_relative_pointer_v1,
ZWP_RELATIVE_POINTER_V1_DESTROY);
wl_proxy_destroy((struct wl_proxy *) zwp_relative_pointer_v1);
}
ZWP_RELATIVE_POINTER_V1_DESTROY
#define ZWP_RELATIVE_POINTER_V1_DESTROY
Definition: relative-pointer-unstable-v1-client-protocol.h:247

## zwp_relative_pointer_v1_get_user_data()

static void* zwp_relative_pointer_v1_get_user_data | ( | struct zwp_relative_pointer_v1 * | zwp_relative_pointer_v1 | ) |

inline static

Definition at line 268 of file relative-pointer-unstable-v1-client-protocol.h.

{
return wl_proxy_get_user_data((struct wl_proxy *) zwp_relative_pointer_v1);
}

## zwp_relative_pointer_v1_set_user_data()

static void zwp_relative_pointer_v1_set_user_data | ( | struct zwp_relative_pointer_v1 * | zwp_relative_pointer_v1,
|  | void * | user_data
| ) |  |

inline static

Definition at line 261 of file relative-pointer-unstable-v1-client-protocol.h.

{
wl_proxy_set_user_data((struct wl_proxy *) zwp_relative_pointer_v1, user_data);
}